Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servicelevel
Interface ServiceLevelManager

    public interface ServiceLevelManager

Interface for `ServiceLevelManagers` which provide access to settings for individual Portlet service levels, such as suspending, limiting or restoring to active state.

Method Summary
`Collection<PortletServiceLevelDescription>` | `getAllServiceLevels()` Gets a `Collection` of `PortletServiceLevelDescription` objects, representing all the Portlets in the scoped webapp that have non-active service levels.
`PortletServiceLevel` | `getServiceLevelForDefinitionId(String definitionId)` Gets the current `PortletServiceLevel` for a particular Portlet, based on its definition id.
`PortletServiceLevel` | `getServiceLevelForDefinitionLabel(String definitionLabel)` Gets the current `PortletServiceLevel` for a particular Portlet, based on its definition label.
`PortletServiceLevel` | `getServiceLevelForInstanceId(String instanceId)` Gets the current `PortletServiceLevel` for a particular Portlet instance, based on its instance id.
`PortletServiceLevel` | `getServiceLevelForInstanceLabel(String instanceLabel)` Gets the current `PortletServiceLevel` for a particular Portlet instance, based on its instance label.
`boolean` | `hasDefinedServiceLevels()` Used to quickly determine if any `PortletServiceLevels` have been set for this instance of a `ServiceLevelManager`.
`void` | `setServiceLevelForDefinitionId(PortletServiceLevel serviceLevel, String definitionId)` Sets a new `PortletServiceLevel` for a particular Portlet definition, based on its definition id.
`void` | `setServiceLevelForDefinitionLabel(PortletServiceLevel serviceLevel, String definitionLabel)` Sets a new `PortletServiceLevel` for a particular Portlet definition, based on its definition label.
`void` | `setServiceLevelForInstanceId(PortletServiceLevel serviceLevel, String instanceId)` Sets a new `PortletServiceLevel` for a particular Portlet instance, based on its instance id.
`void` | `setServiceLevelForInstanceLabel(PortletServiceLevel serviceLevel, String instanceLabel)` Sets a new `PortletServiceLevel` for a particular Portlet instance, based on its instance label.

Method Detail

### getServiceLevelForDefinitionLabel

    PortletServiceLevel getServiceLevelForDefinitionLabel(String definitionLabel)

  Gets the current `PortletServiceLevel` for a particular Portlet, based on its definition label. This `PortletServiceLevel` affects the Portlet definition, as well as all instances of that Portlet in the scoped webapp.

  Parameters
    `definitionLabel` - the definition label of the Portlet
  Returns
    a `PortletServiceLevel` representing the current state of the Portlet definition

### getServiceLevelForInstanceLabel

    PortletServiceLevel getServiceLevelForInstanceLabel(String instanceLabel)

  Gets the current `PortletServiceLevel` for a particular Portlet instance, based on its instance label.

  Parameters
    `instanceLabel` - the instance label of the Portlet
  Returns
    a `PortletServiceLevel` representing the current state of the Portlet instance

### getServiceLevelForDefinitionId

    PortletServiceLevel getServiceLevelForDefinitionId(String definitionId)

  Gets the current `PortletServiceLevel` for a particular Portlet, based on its definition id. This `PortletServiceLevel` affects the Portlet definition, as well as all instances of that Portlet in the scoped webapp.

  Parameters
    `definitionId` - the definition id of the Portlet
  Returns
    a `PortletServiceLevel` representing the current state of the Portlet definition

### getServiceLevelForInstanceId

    PortletServiceLevel getServiceLevelForInstanceId(String instanceId)

  Gets the current `PortletServiceLevel` for a particular Portlet instance, based on its instance id.

  Parameters
    `instanceId` - the instance id of the Portlet
  Returns
    a `PortletServiceLevel` representing the current state of the Portlet instance

### setServiceLevelForDefinitionLabel

    void setServiceLevelForDefinitionLabel(PortletServiceLevel serviceLevel,
                                           String definitionLabel)

  Sets a new `PortletServiceLevel` for a particular Portlet definition, based on its definition label. This setting affects the Portlet definition, as well as all instances of that Portlet in the scoped webapp.

  Parameters
    `serviceLevel` - the new `PortletServiceLevel` to set for the Portlet definition
    `definitionLabel` - the definition label of the Portlet definition

### setServiceLevelForInstanceLabel

    void setServiceLevelForInstanceLabel(PortletServiceLevel serviceLevel,
                                         String instanceLabel)

  Sets a new `PortletServiceLevel` for a particular Portlet instance, based on its instance label.

  Parameters
    `serviceLevel` - the new `PortletServiceLevel` to set for the Portlet instance
    `instanceLabel` - the instance label of the Portlet instance

### setServiceLevelForDefinitionId

    void setServiceLevelForDefinitionId(PortletServiceLevel serviceLevel,
                                        String definitionId)

  Sets a new `PortletServiceLevel` for a particular Portlet definition, based on its definition id. This setting affects the Portlet definition, as well as all instances of that Portlet in the scoped webapp.

  Parameters
    `serviceLevel` - the new `PortletServiceLevel` to set for the Portlet definition
    `definitionId` - the definition id of the Portlet definition

### setServiceLevelForInstanceId

    void setServiceLevelForInstanceId(PortletServiceLevel serviceLevel,
                                      String instanceId)

  Sets a new `PortletServiceLevel` for a particular Portlet instance, based on its instance id.

  Parameters
    `serviceLevel` - the new `PortletServiceLevel` to set for the Portlet instance
    `instanceId` - the instance id of the Portlet instance

### getAllServiceLevels

    Collection<PortletServiceLevelDescription> getAllServiceLevels()

  Gets a `Collection` of `PortletServiceLevelDescription` objects, representing all the Portlets in the scoped webapp that have non-active service levels.

  Returns
    a `Collection` of `PortletServiceLevelDescription` objects

### hasDefinedServiceLevels

    boolean hasDefinedServiceLevels()

  Used to quickly determine if any `PortletServiceLevels` have been set for this instance of a `ServiceLevelManager`. This can be used to optimize access to the `ServiceLevelManager` in cases where many calls to getServiceLevelXXX would otherwise need to be called during a request.

  Returns
    true if there are defined `PortletServiceLevels`, false otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.